ExemptionMechanismException (Java Platform SE 8 )
Keywords: javax.crypto.ExemptionMechanismException class
Date: 2026-04-17

compact1, compact2, compact3
javax.crypto

## Class ExemptionMechanismException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.crypto.ExemptionMechanismException

- All Implemented Interfaces:
    Serializable

      public class ExemptionMechanismException
      extends GeneralSecurityException

  This is the generic ExemptionMechanism exception.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExemptionMechanismException()` Constructs a ExemptionMechanismException with no detailed message.
    `ExemptionMechanismException(String msg)` Constructs a ExemptionMechanismException with the specified detailed message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExemptionMechanismException

          public ExemptionMechanismException()

      Constructs a ExemptionMechanismException with no detailed message. (A detailed message is a String that describes this particular exception.)

    - #### ExemptionMechanismException

          public ExemptionMechanismException(String msg)

      Constructs a ExemptionMechanismException with the specified detailed message. (A detailed message is a String that describes this particular exception.)
      Parameters:
        `msg` - the detailed message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.